<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>box2</title>
	<style type="text/css" media="screen">
		#box1{
				width: 100px;
				height: 100px;
				color:white;
				background-color: green;
			}
		#box1:hover + #box2{
			animation: movercaja 2s ease-in-out 0s infinite alternate;
		}
		#box2{

				width: 100px;
				height: 100px;
				position: absolute;
				left: 10px;
				color:white;
				background-color: blue;
		}
		#box1, #box2{
				display: flex;
				align-items: center;
				justify-content: center;
				margin-bottom: 12px;
				font-size: xx-large;
		}
		@keyframes movercaja{
			from{}
			to{
				left:600px;
				background-color: yellow;
				color: grey;
				transform: rotate(360deg);
			}
		}	
	</style>
</head>
<body>
	<div id="box1">#box1</div>
	<div id="box2">#box2</div>
</body>
</html>